Bug 1179354 (CVE-2014-9601) - CVE-2014-9601 python-pillow: potential denial-of-service during PNG decompression
Summary: CVE-2014-9601 python-pillow: potential denial-of-service during PNG decompres...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-9601
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1179357
TreeView+ depends on / blocked
 
Reported: 2015-01-06 15:13 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:26 UTC (History)
4 users (show)

Fixed In Version: Pillow 2.7.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-12 20:40:09 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-01-06 15:13:46 UTC
Pillow release 2.7.0 fixes a potential denial-of-service issue in PNG decompression code [1].

Exact upstream commit that resolves this:
https://github.com/python-pillow/Pillow/commit/b3e09122e527ae554eb590741bbd7611d5710e40

[1]: http://pillow.readthedocs.org/releasenotes/2.7.0.html#png-text-chunk-size-limits

Comment 2 Vasyl Kaigorodov 2015-01-19 08:50:03 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-9601 to
the following vulnerability:

Name: CVE-2014-9601
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-9601
Assigned: 20150116
Reference: https://www.djangoproject.com/weblog/2015/jan/02/pillow-security-release/

Pillow before 2.7.0 allows remote attackers to cause a denial of
service via a compressed text chunk in a PNG image that has a large
size when it is decompressed.


Note You need to log in before you can comment on or make changes to this bug.